# moveLibraryFile

File a library file into a folder (listContentTemplateFolders), or folderId null for the root.

- Call: `POST https://server.goliathdata.com/api/v1/call` with `{ "operationId": "moveLibraryFile", "variables": {...} }`
- Scope: `WRITE`
- Type: mutation
- Idempotency: honors `Idempotency-Key` (24 h)
- Rate-limited: no

## Variables

- `fileId`: `ID!` (required)
- `folderId`: `ID`

## Response (data, an example)

```json
{
  "workflowAutomationsMutation": {
    "moveLibraryFile": {
      "id": "<ID>",
      "folderId": "<ID>"
    }
  }
}
```

## Example

```bash
curl https://server.goliathdata.com/api/v1/call \
  -H "Authorization: Bearer $GOLIATH_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{
    "operationId": "moveLibraryFile",
    "variables": {
      "fileId": "<fileId>"
    }
  }'
```
